Skip to content
Permalink
Browse files

increase min cmake version to ubuntu 18.04's version

Auto set new cmake policies
  • Loading branch information...
TotallyNotElite committed Aug 31, 2019
1 parent 88a714f commit 757ec0df4bbe7d373f0a4709380f198f7dec8240
Showing with 2 additions and 2 deletions.
  1. +2 −2 CMakeLists.txt
@@ -1,3 +1,5 @@
cmake_minimum_required(VERSION 3.10)

set(EnableCotire 1 CACHE BOOL "Enable CoTiRe (Compile Time Reducer)")
# Ensure that only 32 bit libraries are used.
set(CMAKE_TOOLCHAIN_FILE "${CMAKE_SOURCE_DIR}/Toolchain-cross-m32.cmake")
@@ -15,7 +17,6 @@ endforeach()

if (EnableCotire)
set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/external/cotire/CMake")
cmake_policy(SET CMP0011 NEW)
include(cotire)
file(GLOB_RECURSE ignore_files *.cpp)
set(ignore_files ${ignore_files} CACHE INTERNAL "")
@@ -27,7 +28,6 @@ endif()
set(CMAKE_BUILD_TYPE_VALUES "Debug;Release" CACHE INTERNAL "List of supported build")
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ${CMAKE_BUILD_TYPE_VALUES})

cmake_minimum_required(VERSION 3.0)
project(cathook VERSION 0.0.1)

set(CMAKE_CXX_STANDARD 17)

0 comments on commit 757ec0d

Please sign in to comment.
You can’t perform that action at this time.